'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = tablify;

var _cliTable = require('cli-table2');

var _cliTable2 = _interopRequireDefault(_cliTable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var addValuesToTable = function addValuesToTable(table, data) {
	var valuesToPush = table.options.head.map(function (key) {
		return data[key];
	});
	return valuesToPush.length && table.push(valuesToPush);
}; /*
    * LiskHQ/lisky
    * Copyright © 2017 Lisk Foundation
    *
    * See the LICENSE file at the top-level directory of this distribution
    * for licensing information.
    *
    * Unless otherwise agreed in a custom licensing agreement with the Lisk Foundation,
    * no part of this software, including this file, may be copied, modified,
    * propagated, or distributed except according to the terms contained in the
    * LICENSE file.
    *
    * Removal or modification of this copyright notice is prohibited.
    *
    */


var reduceKeys = function reduceKeys(keys, row) {
	var newKeys = Object.keys(row).filter(function (key) {
		return !keys.includes(key) && row[key] !== undefined && !(row[key] instanceof Error);
	});
	return keys.concat(newKeys);
};

function tablify(data) {
	var dataIsArray = Array.isArray(data);
	var head = dataIsArray ? data.reduce(reduceKeys, []) : Object.keys(data);
	var table = new _cliTable2.default({ head: head });

	if (dataIsArray) {
		data.map(addValuesToTable.bind(null, table));
	} else {
		addValuesToTable(table, data);
	}

	return table;
}